﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 07/07/2021 19:03:15
-- Server version: 5.5.5-10.4.11-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS salas;

CREATE DATABASE IF NOT EXISTS salas
CHARACTER SET utf8mb4
COLLATE utf8mb4_general_ci;

--
-- Set default database
--
USE salas;

--
-- Create table `peliculas`
--
CREATE TABLE IF NOT EXISTS peliculas (
  id int(11) NOT NULL AUTO_INCREMENT,
  titulo varchar(100) DEFAULT NULL,
  duracion int(11) DEFAULT NULL,
  cartel varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `salas`
--
CREATE TABLE IF NOT EXISTS salas (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  butacas int(11) DEFAULT NULL,
  pelicula int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create foreign key
--
ALTER TABLE salas
ADD CONSTRAINT fksalaspeliculas FOREIGN KEY (pelicula)
REFERENCES peliculas (id) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table peliculas
--
-- Table salas.peliculas does not contain any data (it is empty)

-- 
-- Dumping data for table salas
--
-- Table salas.salas does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;



INSERT INTO peliculas (id,titulo, duracion, cartel)
  VALUES 
  (1,'terminator',120, 'terminator.jpg'),
  (2,'titanic',200,'titanic.png');

INSERT INTO salas (id,nombre, butacas, pelicula)
  VALUES 
    (1,'sala argenta',300, 1),
    (2,'sala fenix',200,1),
    (3,'sala condor',500,2);



